目录

Stops tracking changes.

Request

HTTP Request

POST
https://drive.cloud.hicloud.com/drive/v1/channels/stop

Parameters

Parameter NameType
Description
quotaIdstringqueryUser identifier, consisting of 40 characters at maximum. It is used to restrict the number of API calls of an individual user.
callbackstringqueryCallback function used in JSONP requests.
x-hw-trace-idstringheaderID used for service tracing.
x-hw-app-idstringheaderApp ID. 
versionstringheaderSDK version number.
x-hw-terminalstringheaderDevice model.
x-hw-osstringheaderDevice operating system.
unionIDstringheaderOpen user ID.
User-AgentstringheaderApp version number or ID.

Request Body

In the request body, provide data with the following structure:

Parameter NameTypeDescription
categorystringResource type. The value is always api#channel.(Mandatory)
idstringID.(Mandatory)
resourceIdstringResource ID, which identifies the resource being watched on this channel.(Mandatory)
resourceUristringA version-specific identifier for the watched resource.
userTokenstringA string that is delivered to the target address with each notification delivered over this channel.
expirationTimeintegerDate and time of notification channel expiration, expressed as a Unix timestamp, in milliseconds. File resources will expire within one day, while change resources will expire within one week.
typestringThe type of delivery mechanism that is used for this channel.
urlstringCallback address.

Response

If successful, this method returns the 204 status code.